Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415365 - Bluetooth mouse lags
Summary: Bluetooth mouse lags
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 07:38 UTC by Arnaud Kleinveld
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-05 08:45:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Arnaud Kleinveld 2017-01-21 07:38:33 UTC
Description of problem: At random moments in time the mouse pointers lags and moves choppy. Not every day. When it happens it's back to normal within a few minutes.


Version-Release number of selected component (if applicable): 4.8.15-300.fc25.x86_64


How reproducible: It happens randomly but occasionally it seems to be caused by increased wifi connection usage.


Steps to Reproduce:
1. Wait until it happens. Not sure if it happens every day.
2.
3.

Actual results: At random times a lagging pinter and choppy pointer movements


Expected results: Fluent pointer movements


Additional info: From journalctl:

kernel: Bluetooth: HIDP (Human Interface Emulation) ver 1.2
kernel: Bluetooth: HIDP socket layer initialized
kernel: hid-generic 0005:046D:B010.0003: unknown main item tag 0x0
kernel: input: Bluetooth Mouse M557 as /devices/pci0000:00/0000:00:14.0/usb2/2-3/2-3:1.0/bluetooth/hci0/hci0:11/0005:046
kernel: hid-generic 0005:046D:B010.0003: input,hidraw2: BLUETOOTH HID v10.01 Mouse [Bluetooth Mouse M557] on c4:8e:8f:f8
/usr/libexec/gdm-x-session[2349]: (II) config/udev: Adding input device Bluetooth Mouse M557 (/dev/input/mouse3)
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: Applying InputClass "system-keyboard"
/usr/libexec/gdm-x-session[2349]: (II) No input driver specified, ignoring this device.
/usr/libexec/gdm-x-session[2349]: (II) This device may have been added with another device file.
/usr/libexec/gdm-x-session[2349]: (II) config/udev: Adding input device Bluetooth Mouse M557 (/dev/input/event15)
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: Applying InputClass "evdev pointer catchall"
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: Applying InputClass "evdev keyboard catchall"
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: Applying InputClass "system-keyboard"
/usr/libexec/gdm-x-session[2349]: (II) systemd-logind: got fd for /dev/input/event15 13:79 fd 38 paused 0
/usr/libexec/gdm-x-session[2349]: (II) Using input driver 'evdev' for 'Bluetooth Mouse M557'
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: always reports core events
/usr/libexec/gdm-x-session[2349]: (**) evdev: Bluetooth Mouse M557: Device: "/dev/input/event15"
/usr/libexec/gdm-x-session[2349]: (--) evdev: Bluetooth Mouse M557: Vendor 0x46d Product 0xb010
/usr/libexec/gdm-x-session[2349]: (--) evdev: Bluetooth Mouse M557: Found 12 mouse buttons
/usr/libexec/gdm-x-session[2349]: (--) evdev: Bluetooth Mouse M557: Found scroll wheel(s)
/usr/libexec/gdm-x-session[2349]: (--) evdev: Bluetooth Mouse M557: Found relative axes
/usr/libexec/gdm-x-session[2349]: (--) evdev: Bluetooth Mouse M557: Found x and y relative axes
/usr/libexec/gdm-x-session[2349]: (--) evdev: Bluetooth Mouse M557: Found keys
/usr/libexec/gdm-x-session[2349]: (II) evdev: Bluetooth Mouse M557: Configuring as mouse
/usr/libexec/gdm-x-session[2349]: (II) evdev: Bluetooth Mouse M557: Configuring as keyboard
/usr/libexec/gdm-x-session[2349]: (II) evdev: Bluetooth Mouse M557: Adding scrollwheel support
/usr/libexec/gdm-x-session[2349]: (**) evdev: Bluetooth Mouse M557: YAxisMapping: buttons 4 and 5
/usr/libexec/gdm-x-session[2349]: (**) evdev: Bluetooth Mouse M557: EmulateWheelButton: 4, EmulateWheelInertia: 10, Emul
/usr/libexec/gdm-x-session[2349]: (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb2/2-3/2-3:1.0/
/usr/libexec/gdm-x-session[2349]: (II) XINPUT: Adding extended input device "Bluetooth Mouse M557" (type: KEYBOARD, id 1
/usr/libexec/gdm-x-session[2349]: (**) Option "xkb_rules" "evdev"
/usr/libexec/gdm-x-session[2349]: (**) Option "xkb_layout" "us"
/usr/libexec/gdm-x-session[2349]: (II) evdev: Bluetooth Mouse M557: initialized for relative axes.
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: (accel) keeping acceleration scheme 1
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: (accel) acceleration profile 0
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: (accel) acceleration factor: 2.000
/usr/libexec/gdm-x-session[2349]: (**) Bluetooth Mouse M557: (accel) acceleration threshold: 4

Comment 1 Arnaud Kleinveld 2017-02-05 08:45:00 UTC
It looks I have solved all my bluetooth mouse issues by providing a firmware patch at /lib/firmware/brcm

I discovered the following 2 error messages:
bluetooth hci0: Direct firmware load for brcm/BCM20702A1-0a5c-216f.hcd failed with error -2
bluetooth hci0: BCM: Patch brcm/BCM20702A1-0a5c-216f.hcd not found

Googling the error lead me to a site explaining how to extract the patch from an MS Windows driver.

No that I have installed the patch I have no more disconnects and lagging for a few days.


Note You need to log in before you can comment on or make changes to this bug.